fs getcellstatus           AFS Commands        fs getcellstatus


NAME

   fs getcellstatus -- show whether workstation can run setuid

                       programs
                       from specified cell(s), and whether cell
                       is using the old VLDB.


                                     +
   fs getcellstatus -cell <cell name>   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                           +
   fs getce  -c <cell name>   [-h]

DESCRIPTION

   Reports whether the workstation allows programs fetched from
   the specified cell(s) to run with setuid privilege.   System
   administrators   set   a   cell's   setuid   status   on   a
   per-workstation basis with the fs setcell command.

   If a cell is using the AFS 2.0 method  for  tracking  volume
   location  rather than the VLDB, the output reports this also
   (see the OUTPUT section).

ARGUMENTS

   -cell names the cell(s) for which setuid status is  desired.
         Provide the complete Internet-style name for each cell
         (unlike the common -cell  argument  in  other  command
         suites, it is not possible to abbreviate this one).

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

OUTPUT

   Possible output values are

      - no setuid allowed, indicating that  programs  from
        the cell may not run with setuid privilege.

      - setuid  allowed, indicating that programs from the
        cell may run with setuid privilege.

      - using old VLDB, indicating that the cell is  still
        using the AFS 2.0 volume location method.



EXAMPLES

   The   following   indicates  that  programs  from  the  cell
   oldcell.com may not run with setuid privilege and  that  the
   cell is still using the old volume location method:

   %  fs getce oldcell.com  Cell oldcell.com status: no setuid
   allowed, using old VLDB

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs setcell
